Responsive Boilerplate v2.3.3
====================
[![Build Status](https://travis-ci.org/newaeonweb/responsiveboilerplate.png?branch=Rb-package--beta-0.0.1)](https://travis-ci.org/newaeonweb/responsiveboilerplate) 

> A starting point to responsive web design!

**Website:** http://www.responsiveboilerplate.com/

A lightweight (3kb) micro-library, elegant and minimalistic CSS3 grid system, made with only one container and 12 columns. It`s very easy to use and understand, pre-packed with some extra css helpers for mobile devices.

---

## Cross Browser | Cross Device!

Adapt to any screen size, including fluid media; images and video. Pre-configured with 4 breakpoints, just to make your job easier.
 
## Sublime Text Snippets | Grunt.js Package

Include in the package: PSD Template, HTML5 starting point file for fast development, plus a demo example. Also is available a Sublime Text Package with a complete pack of snippets as you can read below.

**Website:** https://github.com/newaeonweb/ResponsiveBoilerplateSnippets

## Low Learning Curve.

Doesn't consist of a vast amount of complex classes, spans and styles for everything even those styles that you never use. Only with 3 basic classes.

---

## How to use

Very easy to use and understand, but a minimum knowledge of HTML & CSS must be required.
Follow the steps...

> From version 2.3.1 we depend on the latest version of **Node.js**.
> If you use Ubuntu 13:04 we recommend reading this: [How to install the latest Node.js version using the PPA](http://www.ubuntuupdates.org/ppa/chris_lea_nodejs).

#### This tutorial assumes that you already has the latest version of node.js and npm installed.

---

- Clone our branch: https://github.com/newaeonweb/responsiveboilerplate.git
- Or you can use **Bower**: `` `bower install responsiveboilerplate` ``.
- Go to directory folder(responsiveboilerplate) and execute: `` `npm install` `` to download all the dependecies.
- We **strongly** recommend the use of **index.html** as your starting point.
- Place your content like the example: 

<pre><code>
&lt;!--Container Class to centralize your grid--&gt;
&lt;div class=&quot;container&quot;&gt;
	&lt;!--Content Class to align the columns--&gt;
	&lt;div class=&quot;content&quot;&gt;
		&lt;div class=&quot;col6&quot;&gt;&lt;/div&gt;
		&lt;div class=&quot;col6&quot;&gt;&lt;/div&gt;
	&lt;/div&gt;
	&lt;div class=&quot;content&quot;&gt;
		&lt;div class=&quot;col4&quot;&gt;&lt;/div&gt;
		&lt;div class=&quot;col4&quot;&gt;&lt;/div&gt;
		&lt;div class=&quot;col4&quot;&gt;&lt;/div&gt;
	&lt;/div&gt;
&lt;/div&gt;
</code></pre>

**Note:**
> * This code on render display a side by side column, ie your screen with two equal column on top, and three columns on bottom.

- You can play with your columns to fit your needs and adjust to your own design.
- Visit our <a href="https://www.youtube.com/channel/UCnqv8IIq27HS1-lkGwu3mrw?feature=watch" target="_blank">screencast</a> page.

#### Quick start with Grunt.js

After cloning or install with `bower`, go to the root folder and execute the following command:

```npm install```

To see the demo page running on localhost:

```grunt demo```

This command will open your default browser with the demo page.

**Note:**
> * if you are on Windows use: `grunt.cmd demo`

## Contribute

Please welcome. Feel free to test, use, fork, send bugs, suggestions and contribute with code to improve this tool.

## More Infos 

> www.responsiveboilerplate.com

- Developer: [@newaeonweb](https://twitter.com/@newaeonweb/ "Twitter") 
- Email: feiochc@gmail.com
- Google Plus: [Fernando Monteiro](https://plus.google.com/102311871192373469721/posts/ "G +")

[![Bitdeli Badge](https://d2weczhvl823v0.cloudfront.net/newaeonweb/responsiveboilerplate/trend.png)](https://bitdeli.com/free "Bitdeli Badge")
